Bullet Collision Detection & Physics Library: EPA< btConvexTemplate > Struct Template Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
EPA< btConvexTemplate > Struct Template Reference

`#include <btGjkEpa3.h>`

Collaboration diagram for EPA< btConvexTemplate >:
[legend]

## Classes
struct | sFace
struct | sList
struct | sHorizon

## Public Member Functions
| EPA ()
void | Initialize ()
eEpaStatus | Evaluate (GJK< btConvexTemplate > &gjk, const btVector3 &guess)
bool | getedgedist (sFace *face, typename GJK< btConvexTemplate >::sSV *a, typename GJK< btConvexTemplate >::sSV *b, btScalar &dist)
sFace * | newface (typename GJK< btConvexTemplate >::sSV *a, typename GJK< btConvexTemplate >::sSV *b, typename GJK< btConvexTemplate >::sSV *c, bool forced)
sFace * | findbest ()
bool | expand (U pass, typename GJK< btConvexTemplate >::sSV *w, sFace *f, U e, sHorizon &horizon)

## Static Public Member Functions
static void | bind (sFace *fa, U ea, sFace *fb, U eb)
static void | append (sList &list, sFace *face)
static void | remove (sList &list, sFace *face)

## Public Attributes
eEpaStatus | m_status
GJK< btConvexTemplate >::sSimplex | m_result
btVector3 | m_normal
btScalar | m_depth
GJK< btConvexTemplate >::sSV | m_sv_store [EPA_MAX_VERTICES]
sFace | m_fc_store [EPA_MAX_FACES]
U | m_nextsv
sList | m_hull
sList | m_stock

## Detailed Description

template<typename btConvexTemplate>
struct EPA< btConvexTemplate >

Definition at line 544 of file btGjkEpa3.h.

## Constructor & Destructor Documentation

## ◆ EPA()

template<typename btConvexTemplate>

EPA< btConvexTemplate >::EPA | ( |  | ) |
| inline

Definition at line 583 of file btGjkEpa3.h.

## Member Function Documentation

## ◆ append()

template<typename btConvexTemplate>

void EPA< btConvexTemplate >::append | ( | sList & | list,
|  | sFace * | face )
| inlinestatic

Definition at line 595 of file btGjkEpa3.h.

## ◆ bind()

template<typename btConvexTemplate>

void EPA< btConvexTemplate >::bind | ( | sFace * | fa,
|  | U | ea,
|  | sFace * | fb,
|  | U | eb )
| inlinestatic

Definition at line 588 of file btGjkEpa3.h.

## ◆ Evaluate()

template<typename btConvexTemplate>

eEpaStatus EPA< btConvexTemplate >::Evaluate | ( | GJK< btConvexTemplate > & | gjk,
|  | const btVector3 & | guess )
| inline

Definition at line 622 of file btGjkEpa3.h.

## ◆ expand()

template<typename btConvexTemplate>

bool EPA< btConvexTemplate >::expand | ( | U | pass,
|  | typename GJK< btConvexTemplate >::sSV * | w,
|  | sFace * | f,
|  | U | e,
|  | sHorizon & | horizon )
| inline

Definition at line 838 of file btGjkEpa3.h.

## ◆ findbest()

template<typename btConvexTemplate>

sFace * EPA< btConvexTemplate >::findbest | ( |  | ) |
| inline

Definition at line 823 of file btGjkEpa3.h.

## ◆ getedgedist()

template<typename btConvexTemplate>

bool EPA< btConvexTemplate >::getedgedist | ( | sFace * | face,
|  | typename GJK< btConvexTemplate >::sSV * | a,
|  | typename GJK< btConvexTemplate >::sSV * | b,
|  | btScalar & | dist )
| inline

Definition at line 743 of file btGjkEpa3.h.

## ◆ Initialize()

template<typename btConvexTemplate>

void EPA< btConvexTemplate >::Initialize | ( |  | ) |
| inline

Definition at line 611 of file btGjkEpa3.h.

## ◆ newface()

template<typename btConvexTemplate>

sFace * EPA< btConvexTemplate >::newface | ( | typename GJK< btConvexTemplate >::sSV * | a,
|  | typename GJK< btConvexTemplate >::sSV * | b,
|  | typename GJK< btConvexTemplate >::sSV * | c,
|  | bool | forced )
| inline

Definition at line 779 of file btGjkEpa3.h.

## ◆ remove()

template<typename btConvexTemplate>

void EPA< btConvexTemplate >::remove | ( | sList & | list,
|  | sFace * | face )
| inlinestatic

Definition at line 603 of file btGjkEpa3.h.

## Member Data Documentation

## ◆ m_depth

template<typename btConvexTemplate>

btScalar EPA< btConvexTemplate >::m_depth

Definition at line 576 of file btGjkEpa3.h.

## ◆ m_fc_store

template<typename btConvexTemplate>

sFace EPA< btConvexTemplate >::m_fc_store[EPA_MAX_FACES]

Definition at line 578 of file btGjkEpa3.h.

## ◆ m_hull

template<typename btConvexTemplate>

sList EPA< btConvexTemplate >::m_hull

Definition at line 580 of file btGjkEpa3.h.

## ◆ m_nextsv

template<typename btConvexTemplate>

U EPA< btConvexTemplate >::m_nextsv

Definition at line 579 of file btGjkEpa3.h.

## ◆ m_normal

template<typename btConvexTemplate>

btVector3 EPA< btConvexTemplate >::m_normal

Definition at line 575 of file btGjkEpa3.h.

## ◆ m_result

template<typename btConvexTemplate>

GJK<btConvexTemplate>::sSimplex EPA< btConvexTemplate >::m_result

Definition at line 574 of file btGjkEpa3.h.

## ◆ m_status

template<typename btConvexTemplate>

eEpaStatus EPA< btConvexTemplate >::m_status

Definition at line 573 of file btGjkEpa3.h.

## ◆ m_stock

template<typename btConvexTemplate>

sList EPA< btConvexTemplate >::m_stock

Definition at line 581 of file btGjkEpa3.h.

## ◆ m_sv_store

template<typename btConvexTemplate>

GJK<btConvexTemplate>::sSV EPA< btConvexTemplate >::m_sv_store[EPA_MAX_VERTICES]

Definition at line 577 of file btGjkEpa3.h.

The documentation for this struct was generated from the following file:

- btGjkEpa3.h